package com.zipcodewilmington.phonebook;

import org.junit.Assert;
import org.junit.Test;

/**
 * Created by leon on 1/23/18.
 */

public class PhoneBookTest {

    public PhoneBookTest() {
    }



    @Test
    public void testHasEntry()
    {

        PhoneBook phone = new PhoneBook();
        String name = "jose";
        String phoneNumber = "302-903-9837";
        phone.add(name,phoneNumber);

        boolean actual = phone.hasEntry(name);
        boolean expected = true;

        Assert.assertTrue(actual);
    }


    @Test
    public void testLookUp()
    {
        PhoneBook phone = new PhoneBook();
        String name = "jose";
        String phoneNumber = "302-903-9837";
        phone.add(name, phoneNumber);

        String actual = phone.lookUp(name);
        String exoected =  phoneNumber;
        Assert.assertEquals(exoected,actual);
    }

    @Test
    public void removeTest()
    {
        PhoneBook phone = new PhoneBook();
        String name = "jose ";
        String phoneNum = "587-242-3413";
        phone.add(name,phoneNum);

        boolean expected = true;
        boolean actual = phone.remove(name);

        Assert.assertEquals(expected,actual);

    }
    @Test
    public void reverseLookUpTest()
    {
        PhoneBook phone = new PhoneBook();
        String name = "jose";
        String phoneN = "947-282-8262";
        phone.add(name,phoneN);

        String expected = name;
        String actual = phone.reverseLookUp(phoneN);

        Assert.assertEquals(expected,actual);
    }

    @Test
    public void namesAndNumbersTest()
    {
        PhoneBook phone = new PhoneBook();
        String name = "jose";
        String phoneNumber = "938-938-9392";
        phone.add(name,phoneNumber);

        String expected = "{"+name+"="+phoneNumber+"}";

        String actual = phone.namesAndNumbers();

        Assert.assertEquals(expected,actual);

    }
    
}
